## ocaml-magic-mime 1.2.0

=== debian/changelog ===
ocaml-magic-mime (1.2.0-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:21:13 +0100

ocaml-magic-mime (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1000372)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 22 Nov 2021 12:27:45 +0100

## ocaml-magic-mime 1.3.1

=== Makefile ===
.PHONY: build clean test

build:
	dune build @install

test:
	dune runtest

install:
	dune install

uninstall:
	dune uninstall

clean:
	dune clean

## ocaml-magic-mime 1.3.0

=== debian/changelog ===
ocaml-magic-mime (1.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Feb 2023 02:44:18 +0100

=== debian/control ===
Source: ocaml-magic-mime
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-magic-mime
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-magic-mime.git
Homepage: https://github.com/mirage/ocaml-magic-mime

Package: libmagic-mime-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ocaml-findlib
Description: OCaml library to map filenames to common MIME types (dev files)
 This library contains a database of MIME types that maps filename
 extensions into MIME types suitable for use in many Internet
 protocols such as HTTP or e-mail. It is generated from the mime.types
 file found in Unix systems, but has no dependency on a filesystem
 since it includes the contents of the database as an ML
 datastructure.
 .
 This package contains development files.

Package: libmagic-mime-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: OCaml library to map filenames to common MIME types (runtime files)
 This library contains a database of MIME types that maps filename
 extensions into MIME types suitable for use in many Internet
 protocols such as HTTP or e-mail. It is generated from the mime.types
 file found in Unix systems, but has no dependency on a filesystem
 since it includes the contents of the database as an ML
 datastructure.
 .
 This package contains runtime files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p magic-mime

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/*/LICENSE*

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-magic-mime/releases .*magic-mime-v?([0-9.]+)\.tbz

## ocaml-magic-mime 1.3.1

=== debian/changelog ===
ocaml-magic-mime (1.3.1-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 03:03:48 +0100

ocaml-magic-mime (1.3.1-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:15:23 +0200

ocaml-magic-mime (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.6.2
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sat, 14 Oct 2023 09:57:29 +0200

ocaml-magic-mime (1.3.0-4) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 09:27:53 +0200

ocaml-magic-mime (1.3.0-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 07:41:33 +0200

ocaml-magic-mime (1.3.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 16:08:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
- dh-ocaml
-Standards-Version: 4.6.0
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-magic-mime
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-magic-mime.git

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/mirage/ocaml-magic-mime/releases?per_page=50 \
https://github.com/mirage/ocaml-magic-mime/releases/download/[^/]+/magic-mime-@ANY_VERSION@.tbz
